Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface NodeManagerMBean

public interface NodeManagerMBean
extends ConfigurationMBean

This bean is represents a NodeManager that is associated with a machine.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static byte[]` | `DEFAULT_CERTIFICATE_PASSWORD_BYTE_ARRAY`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getCertificate()` The certificate file to use for secure communications with NodeManager.
`java.lang.String` | `getCertificatePassword()` The certificate password used for secure communications with NodeManager.
`byte[]` | `getCertificatePasswordEncrypted()` The encrypted certificate password used for secure communications with NodeManager.
`java.lang.String` | `getCertificateType()` The certificate type used for secure communications with the NodeManager
`java.lang.String` | `getListenAddress()` The address on which NodeManager listens for connections.
`int` | `getListenPort()` Returns the listen port of the NodeManager
`java.lang.String` | `getTrustedCertsFile()` The trusted certs file password to use for secure communication with NodeManager.
`boolean` | `isDebugEnabled()` Whether or not communication with this NodeManager needs to be debugged.
`void` | `setCertificate(java.lang.String certificate)` Sets the certificate attribute of the NodeManagerMBean object
`void` | `setCertificatePassword(java.lang.String certificatePassword)` As of 8.1 sp4, this method does the following:
`void` | `setCertificatePasswordEncrypted(byte[] bytes)` Encrypts and sets the value of the CertificatePasswordEncrypted attribute.
`void` | `setCertificateType(java.lang.String certificateType)` Sets the certificateType attribute of the NodeManagerMBean object
`void` | `setDebugEnabled(boolean enable)` Set the DebugEnabled value
`void` | `setListenAddress(java.lang.String address)` Sets the listenAddress attribute of the NodeManagerMBean object
`void` | `setListenPort(int port)` The TCP port on which NodeManager listens.
`void` | `setSSLEnabled(boolean enable)` Set the SSLEnabled value
`void` | `setTrustedCertsFile(java.lang.String trustedCertsFile)` Sets the trustedCertsFile attribute of the NodeManagerMBean object

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### DEFAULT_CERTIFICATE_PASSWORD_BYTE_ARRAY

    public static final byte[] DEFAULT_CERTIFICATE_PASSWORD_BYTE_ARRAY

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getListenAddress

    public java.lang.String getListenAddress()

  The address on which NodeManager listens for connections.

  A dynamic MBean attribute
  Default Value: "localhost"
  Secure Value: "127.0.0.1"
  Returns:
    The listenAddress value

### setListenAddress

    public void setListenAddress(java.lang.String address)
                          throws javax.management.InvalidAttributeValueException

  Sets the listenAddress attribute of the NodeManagerMBean object

  Parameters:
    `address` - The new listenAddress value
  Throws:
    javax.management.InvalidAttributeValueException -

### getListenPort

    public int getListenPort()

  Returns the listen port of the NodeManager

  A dynamic MBean attribute
  Default Value: 5555
  Returns:
    The listenPort value

### setListenPort

    public void setListenPort(int port)

  The TCP port on which NodeManager listens.

  Legal Minimum Value: 0
  Legal Maximum Value: 65534
  Parameters:
    `port` - The new listenPort value

### setSSLEnabled

    public void setSSLEnabled(boolean enable)

  Set the SSLEnabled value

  Parameters:
    `enable` - The new sSLEnabled value

### getCertificate

    public java.lang.String getCertificate()

  The certificate file to use for secure communications with NodeManager. The path is relative to the Administration Server's root directory.

  Default Value: "demo.crt"
  Returns:
    The certificate value

### setCertificate

    public void setCertificate(java.lang.String certificate)
                        throws javax.management.InvalidAttributeValueException

  Sets the certificate attribute of the NodeManagerMBean object

  Parameters:
    `certificate` - The new certificate value
  Throws:
    javax.management.InvalidAttributeValueException -

### getCertificateType

    public java.lang.String getCertificateType()

  The certificate type used for secure communications with the NodeManager

  Default Value: "RSA"
  Returns:
    The certificateType value

### setCertificateType

    public void setCertificateType(java.lang.String certificateType)
                            throws javax.management.InvalidAttributeValueException

  Sets the certificateType attribute of the NodeManagerMBean object

  Parameters:
    `certificateType` - The new certificateType value
  Throws:
    javax.management.InvalidAttributeValueException -

### getCertificatePassword

    public java.lang.String getCertificatePassword()

  The certificate password used for secure communications with NodeManager.

  As of 8.1 sp4, the `getCertificatePassword()` method does the following:

  1. Retrieves the value of the `CertificatePasswordEncrypted` attribute.
  2. Decrypts the value and returns the unencrypted password as a String.

  Using `getCertificatePassword()` is a potential security risk because the String object (which contains the unencrypted password) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

  Instead of using this method, use `getCertificatePasswordEncrypted()` to retrieve the encrypted password. On the same WebLogic Server that encrypted the value of the CertificatePasswordEncrypted attribute, use `weblogic.management.EncryptionHelper.encrypt()` to encrypt the user-supplied password. Then compare the encrypted values.

  A non-configurable MBean attribute.
  Default Value: "password"
  Returns:
    The certificatePassword value
  See Also:
    `getCertificatePasswordEncrypted()`

### setCertificatePassword

    public void setCertificatePassword(java.lang.String certificatePassword)
                                throws javax.management.InvalidAttributeValueException

  As of 8.1 sp4, this method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `CertificatePasswordEncrypted` attribute to the encrypted parameter value.

  A non-configurable MBean attribute.
  Parameters:
    `certificatePassword` - The new certificatePassword value
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `setCertificatePasswordEncrypted(byte[] bytes)`

### getCertificatePasswordEncrypted

    public byte[] getCertificatePasswordEncrypted()

  The encrypted certificate password used for secure communications with NodeManager.

  Default Value: DEFAULT_CERTIFICATE_PASSWORD_BYTE_ARRAY
  Returns:
    The certificatePassword value as an encrypted byte array.
  See Also:
    `EncryptionHelper`

### setCertificatePasswordEncrypted

    public void setCertificatePasswordEncrypted(byte[] bytes)
                                         throws javax.management.InvalidAttributeValueException

  Encrypts and sets the value of the CertificatePasswordEncrypted attribute.

  Parameters:
    `bytes` - The new certificatePassword value as a byte array
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `#getPasswordEncrypted()`

### getTrustedCertsFile

    public java.lang.String getTrustedCertsFile()

  The trusted certs file password to use for secure communication with NodeManager. The path is relative to the Administration Server's root directory.

  Default Value: "trusted.crt"
  Returns:
    The trustedCertsFile value

### setTrustedCertsFile

    public void setTrustedCertsFile(java.lang.String trustedCertsFile)
                             throws javax.management.InvalidAttributeValueException

  Sets the trustedCertsFile attribute of the NodeManagerMBean object

  Parameters:
    `trustedCertsFile` - The new trustedCertsFile value
  Throws:
    javax.management.InvalidAttributeValueException -

### isDebugEnabled

    public boolean isDebugEnabled()

  Whether or not communication with this NodeManager needs to be debugged.

  A dynamic MBean attribute
  Default Value: false
  Returns:
    The debugEnabled value

### setDebugEnabled

    public void setDebugEnabled(boolean enable)

  Set the DebugEnabled value

  Parameters:
    `enable` - The new debugEnabled value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD